[Pkg-jed-commit] r315 - trunk/packages/jed-extra/utils

Jörg Sommer jo-guest at costa.debian.org
Sun Jun 4 23:35:31 UTC 2006


Author: jo-guest
Date: 2006-06-04 23:35:29 +0000 (Sun, 04 Jun 2006)
New Revision: 315

Added:
   trunk/packages/jed-extra/utils/check_package
Log:
* jed-extra/utils/check_package:
  + A new check for a clean build package. It must be run from the build
    tree and a build package must be in ..


Added: trunk/packages/jed-extra/utils/check_package
===================================================================
--- trunk/packages/jed-extra/utils/check_package	2006-06-04 11:31:36 UTC (rev 314)
+++ trunk/packages/jed-extra/utils/check_package	2006-06-04 23:35:29 UTC (rev 315)
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+dh_testdir || exit
+
+: ${VERSION:=$(sed '1 { s/.*(\(.*\)).*/\1/; q; }' debian/changelog)}
+
+diff="diff --unified"
+
+tmp1=$(mktemp)
+tmp2=$(mktemp)
+trap "rm $tmp1 $tmp2" EXIT INT TERM
+
+ls | grep -v 'COPYING\|debian\|README\|README.html' > $tmp1
+awk '/^[ACDEOUX]/ { print $2; }' debian/contents.txt | sort | \
+  $diff $tmp1 - > $tmp2
+
+if [ -n "$(sed '/^+[^+]/!d; s/^.//' $tmp2)" ]; then
+    echo "These modes are in contents.txt but not in the archive:"
+    sed '/^+[^+]/!d; s/^.//' $tmp2
+    echo
+fi
+
+if [ -n "$(sed '/^-[^-]/!d; s/^.//; /fileview\|howto\|jedscape/d' $tmp2)" ]; then
+    # fileview, howto and jedscape are excluded from the package because they
+    # have dependencies not satisfied
+    echo "New modes in the archive (e.g. they are _not_ listed in contents.txt):"
+    sed '/^-[^-]/!d; s/^.//; /fileview\|howto\|jedscape/d' $tmp2
+    echo
+fi
+
+dpkg-deb -c ../jed-extra_${VERSION}_all.deb > $tmp1
+
+if [ -n "$(grep -Ev '(^(d|-rw-r--r--)|/compile/)' $tmp1)" ]; then
+    echo "Executables in the package"
+    grep -Ev '(^(d|-rw-r--r--)|/compile/)' $tmp1
+    echo
+fi
+
+sed 's/.* \.//; s_^/$_/._; s_/$__' $tmp1 | sort > $tmp2
+
+if [ -n "$(grep '/usr/share/jed/jed-extra/.*(\.sl){0}' $tmp2)" ]; then
+    echo "non .sl files in /usr/share/jed/jed-extra:"
+    grep '/usr/share/jed/jed-extra/.*(\.sl){0}' $tmp2
+    echo
+fi
+
+if ! dpkg -L jed-extra | $diff --brief - $tmp2 >/dev/null; then
+    dpkg -l jed-extra | \
+      awk '/^ii/ { print "Differences to the currently installed package "$3":"; }'
+    dpkg -L jed-extra | sort | $diff - $tmp2 | sed '1,2d; /^[+-]/!d'
+    echo
+fi


Property changes on: trunk/packages/jed-extra/utils/check_package
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-jed-commit mailing list